import request from '@/utils/request'
import { batchReviewAndExamine } from '@/api/abnormal'

/**
 * 业务中调整文书内容
 */
export function saveOrUpdateContent(data) {
  return request({
    url: '/tswrittemplate/saveOrUpdateContent',
    method: 'post',
    data
  })
}

/**
 * 根据业务号及文书类型获取文书模板内容
 */
export function getContentsWithBizseq(data) {
  return request({
    url: '/tswrittemplate/getContentsWithBizseq',
    method: 'post',
    data
  })
}

/**
 * 根据工作流id及意见类型获取最新意见
 * @param {string} workflowId 工作流id
 * @param {string} opinionType 意见类型
 * @author Lee
 * @since 2021年7月29日 16:20:44
 */
export function getNewestOpinion(workflowId, opinionType) {
  const form = new FormData()
  form.append('workflowId', workflowId)
  form.append('opinionType', opinionType)
  return request({
    url: '/tsbizrevlist/getNewestOpinion',
    method: 'post',
    data: form
  })
}

/**
 * 经营异常批量审核审批
 */
export function batchJyycxfShAndSp(data) {
  return request({
    url: '/bizRemList/batchReviewAndExamine',
    method: 'post',
    data
  })
}

/**
 * 严重违法批量审核审批
 */
export function batchYzfwShAndSp(data) {
  return request({
    url: '/bizSerIllegalRem/batchReviewAndExamine',
    method: 'post',
    data
  })
}

/**
 * 经营异常、严重违法批量审核审批
 */
 export function batchShAndSp(data) {
  return request({
    url: '/bizRemList/batchReviewAndExamineByAll',
    method: 'post',
    data
  })
}

/**
 * 经营异常、严重违法批量审核审批详情列表
 */
 export function getRemInfoByBatch(data) {
  return request({
    url: '/bizRemList/getRemInfoByBatch',
    method: 'post',
    data
  })
}
